Skip to main content
POST
Create agent

Authorizations

X-API-Key
string
header
required

Your organization API key. See Authentication.

Headers

Idempotency-Key
string
required

Unique key for this operation. Retry with the same key and request body after a timeout. Keys are retained for at least 24 hours.

Required string length: 1 - 255

Body

application/json

Scheduling is optional. Omit scheduling fields to create an on-demand agent.

name
string
required

Display name for the agent.

description
string
required

Human-readable description of what this agent should do.

cron_expressions
string[]

Five-field cron expressions in the organization timezone, such as 0 2 * * *.

schedule_description
string

Natural language schedule as an alternative to cron_expressions (such as "every weekday at 9am").

Legal entities this agent operates on.

Maximum array length: 100
sources
object[]

Financial account sources this agent operates on.

Maximum array length: 100
emails
string<email>[]

Email addresses for run notifications.

slack_channel_id
string | null

Slack channel ID for notifications.

owner_user_id
string | null

Owner (usr_…). Omit it or send null to make the creating user the owner. To clear the owner later, send null to Update agent.

reviewer_user_id
string | null

The reviewer user id. Native tool approval requests go to this reviewer. If no reviewer is assigned, requests go to the owner.

enabled_mcp_connection_ids
string<uuid>[]

MCP connections that the agent can use. Omit for none.

Maximum array length: 50

Response

Created.

data
object
required